Biometrics 2 (notes)
====================

## Lecture aim (Why are we teaching this?)

* Biometrics are not as secure as you may think! (Same aim as lecture 10.)
* Hands-on opportunity to try biometrics -- fingerprints, siganture dynamics.
* Give brief overview how things work and what are their (dis)advantages.

## Brief overview of topics to touch

* Fingerprints -- processing, storage, analysis (theory)
* Fingerprint library -- working with API?
* Creating fake fingerprints
* Programming task with API -- sort fingerprints

## Miscellaneous notes

* Software for fingerprint generation based in minutiae data?
* Fingerprint portairts http://www.dna11.com/products/fingerprint-portraits
* Signature dynamics -- software, tablets, try faking a signature
* Biometics in films? (Why on earth is the most secure place protected by biometrics?)
* Ice-braker activity: How much do you trust biometrics?
* What are big use cases? Apple TouchID, passports (face recognition, fingerprints)
* Add notes on forensic use of biometics?
* Biometrics in US prisons (retina)?
* Signature dynamics in banks and telephone operators and PPL -- only tablet or actual signature dynamics?
* Software for generating fingerprints -- with(out) minutiae. (Check BioLab University of Bologna)
* Database of fingerprints and competition of matching algorithms. (Check BioLab University of Bologna)
* Apple TouchID and comparable Android technology?
* From Milan: https://arxiv.org/abs/1708.07887 https://hackaday.com/2017/09/04/raspireader-an-open-source-fingerprint-reader/

## Fingerprint library

* GrFinger is old (now proprietary) and Windows only.
* Prefer cross-platform, still-active, open-source (or at least free), preferably CLI/C++/Java.
* SourceAFIS seems reasonable (Java, MIT license), last update 2017. (https://sourceafis.machinezoo.com)
* NEUROtechnology free SDK, Windows only (http://www.neurotechnology.com/free-fingerprint-verification-sdk.html)
    * Demo applications available http://www.neurotechnology.com/download.html

## Work plans

* Martin: Technical side (sw, data, homeworks), will try to do something till 3. 8.
* Vlasta: Theoretical background (how and why it works, news), will try to do something after holyday till 21. 8.
* Slides for both lectures here: https://docs.google.com/presentation/d/1IAIEx8v1HwecEgQBXbNO7f4KA4TJafU-UciCA52e6F4/edit#slide=id.p4
* 